/**
 * 
 */
package de.mpc.prolic.exceptions;

/**
 * Exception, which is thrown if there are proteins with sequences == 0
 * @author Michael Kohl
 *
 */
public class EmptySequenceException extends RuntimeException {


	/**
	 * 
	 */
	private static final long serialVersionUID = 672369603434892392L;

	/**
	 * 
	 */
	public EmptySequenceException() {

	}

	/**
	 * @param message
	 */
	public EmptySequenceException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public EmptySequenceException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public EmptySequenceException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param message
	 * @param cause
	 * @param enableSuppression
	 * @param writableStackTrace
	 */
	public EmptySequenceException(String message, Throwable cause,
			boolean enableSuppression, boolean writableStackTrace) {
		super(message, cause, enableSuppression, writableStackTrace);		
	}
	
}
