/**
 * 
 */
package de.mpc.prolic.exceptions;

/**
 * Exception, which is thrown if currently not available ProLiC methods are requested
 * @author Michael Kohl
 *
 */
public class UnavailableProLiCFeatureException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -9139035099412844239L;

	/**
	 * 
	 */
	public UnavailableProLiCFeatureException() {

	}

	/**
	 * @param message
	 */
	public UnavailableProLiCFeatureException(String message) {
		super(message);

	}

	/**
	 * @param cause
	 */
	public UnavailableProLiCFeatureException(Throwable cause) {
		super(cause);

	}

	/**
	 * @param message
	 * @param cause
	 */
	public UnavailableProLiCFeatureException(String message, Throwable cause) {
		super(message, cause);

	}

	/**
	 * @param message
	 * @param cause
	 * @param enableSuppression
	 * @param writableStackTrace
	 */
	public UnavailableProLiCFeatureException(String message, Throwable cause,
			boolean enableSuppression, boolean writableStackTrace) {
		super(message, cause, enableSuppression, writableStackTrace);

	}

}
