/**
 * 
 */
package de.mpc.prolic.exceptions;

/**
 * Exception, which is thrown if files with no file extensions are located in the specified input folder 
 * @author Michael Kohl
 *
 */
public class MalformedFilenameException extends RuntimeException {


	/**
	 * 
	 */
	private static final long serialVersionUID = 4149587689618288154L;

	/**
	 * Empty Constructor
	 */
	public MalformedFilenameException() {
		
	}

	/**
	 * @param message
	 */
	public MalformedFilenameException(String message) {
		super(message);		
	}

	/**
	 * @param cause
	 */
	public MalformedFilenameException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public MalformedFilenameException(String message, Throwable cause) {
		super(message, cause);		
	}

	/**
	 * @param message
	 * @param cause
	 * @param enableSuppression
	 * @param writableStackTrace
	 */
	public MalformedFilenameException(String message, Throwable cause,
			boolean enableSuppression, boolean writableStackTrace) {
		super(message, cause, enableSuppression, writableStackTrace);		
	}

}
